--
-- vent
-- Northern_Strike

source("dataS/scripts/vehicles/specializations/Motorized.lua");

vent = {};

function vent.prerequisitesPresent(specializations)
     return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function vent:load(xmlFile)

       self.ventelator1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ventelator1#index"));

end;

function vent:delete()
end;

function vent:mouseEvent(posX, posY, isDown, isUp, button)
end;

function vent:keyEvent(unicode, sym, modifier, isDown)
end;

function vent:update(dt)

	if self.isMotorStarted then

         		rotate(self.ventelator1, dt*0.01, 0, 0 );		
	end;

end;

function vent:draw()

end;

function vent:onEnter()
end;

function vent:onLeave()
end;